From: "Pacho Ramos" <pacho@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: gnome-extra/docky/
Date: Thu, 3 Nov 2016 11:19:29 +0000 (UTC) [thread overview]
Message-ID: <1478171962.ffb921aeb898b20ffec24aa2c2d4d4a2a35d4f4a.pacho@gentoo> (raw)
commit: ffb921aeb898b20ffec24aa2c2d4d4a2a35d4f4a
Author: Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Thu Nov 3 11:15:16 2016 +0000
Commit: Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Thu Nov 3 11:19:22 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ffb921ae
gnome-extra/docky: Prepare for the new gtk-sharp package, stop relying on old eapi4 support of gnome2.eclass
Package-Manager: portage-2.3.2
| 47 +++++++++++++++++++++++++++++++
1 file changed, 47 insertions(+)
--git a/gnome-extra/docky/docky-2.2.1.1-r1.ebuild b/gnome-extra/docky/docky-2.2.1.1-r1.ebuild
new file mode 100644
index 00000000..6de5bb2
--- /dev/null
+++ b/gnome-extra/docky/docky-2.2.1.1-r1.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit autotools eutils gnome2 mono-env
+
+DESCRIPTION="Elegant, powerful, clean dock"
+HOMEPAGE="https://wiki.go-docky.com"
+SRC_URI="https://launchpad.net/${PN}/2.2/${PV}/+download/${P}.tar.xz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="nls"
+
+RDEPEND="
+ >=dev-dotnet/dbus-sharp-0.8.0:2.0
+ >=dev-dotnet/dbus-sharp-glib-0.6.0:2.0
+ || ( >=dev-dotnet/gtk-sharp-2.12.21:2 ( >=dev-dotnet/gnome-sharp-2.24.2-r1:2 dev-dotnet/gconf-sharp:2 dev-dotnet/glib-sharp:2 ) )
+ >=dev-dotnet/gio-sharp-0.2-r1
+ dev-dotnet/gkeyfile-sharp
+ dev-dotnet/gnome-desktop-sharp:2
+ dev-dotnet/gnome-keyring-sharp
+ dev-dotnet/gtk-sharp:2
+ dev-dotnet/mono-addins[gtk]
+ dev-dotnet/notify-sharp
+ dev-dotnet/rsvg-sharp:2
+ dev-dotnet/wnck-sharp:2
+"
+DEPEND="${RDEPEND}
+ || ( >=dev-dotnet/gtk-sharp-2.12.21:2 dev-dotnet/gtk-sharp-gapi:2 )
+ dev-util/intltool
+ virtual/pkgconfig
+"
+
+src_prepare() {
+ sed -i -e "/warnaserror/d" configure.ac || die
+ gnome2_src_prepare
+ eautoreconf
+}
+
+src_configure() {
+ gnome2_src_configure \
+ --enable-release \
+ $(use_enable nls)
+}
next reply other threads:[~2016-11-03 11:19 UTC|newest]
Thread overview: 10+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-11-03 11:19 Pacho Ramos [this message]
-- strict thread matches above, loose matches on Subject: below --
2018-01-27 20:32 [gentoo-commits] repo/gentoo:master commit in: gnome-extra/docky/ Mikle Kolyada
2016-11-03 11:22 Pacho Ramos
2016-11-03 11:22 Pacho Ramos
2016-11-03 11:22 Pacho Ramos
2016-09-18 11:37 Pacho Ramos
2015-11-11 9:54 Agostino Sarubbo
2015-11-10 11:45 Agostino Sarubbo
2015-09-18 5:19 Christoph Mende
2015-09-17 19:01 Christoph Mende
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1478171962.ffb921aeb898b20ffec24aa2c2d4d4a2a35d4f4a.pacho@gentoo \
--to=pacho@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox